package coral.counters;

public class EstimateResult {
  public final double mean;
  public final double variance;
  
  public EstimateResult(double estimate, double variance) {
    super();
    this.mean = estimate;
    this.variance = variance;
  }
  
  public EstimateResult divide(double dividend) {
    return new EstimateResult(mean / dividend, variance / (dividend * dividend));
  }
  
  public String toString() {
    return "estimate=" + mean + " variance=" + variance;
  }
}
