package coral.counters;

import java.util.List;

import coral.PC;
import coral.util.Interval;

public interface ModelCounter {

  public void reset();
  
  public void reset(String seed);
  
  public EstimateResult count(PC pc);
  
  public EstimateResult count(PC pc, List<Interval[]> boxes);
  
  public EstimateResult count(PC pc, Interval[] domains);
  
  public EstimateResult count(PC pc, List<Interval[]> boxes, Interval[] domains);
  
}
