package symlib;

import coral.util.visitors.interfaces.StringVisitor;
import coral.util.visitors.interfaces.TypedVisitor;
import coral.util.visitors.interfaces.VoidVisitor;

public interface SymNumber extends Comparable<SymNumber> {
  
  public String accept(StringVisitor visitor);

  public void accept(VoidVisitor visitor);
  
  public SymNumber accept(TypedVisitor typedVisitorAdaptor);

  public Number evalNumber();

  public boolean equals(Object o);

  public SymNumber clone();

}
